%global gitdate 20130822

Summary: Utilities to simplify the usage of dm-cache devices
Name: dmcache-utils
Version: 0
Release: 0.1.%{gitdate}git%{?dist}
License: GPLv2
Group: System Environment/Base
URL: https://github.com/jthornber/thinp-test-suite
# For now I am using a prerelease version obtained by:
# git clone https://github.com/opinsys/dmcache-utils.git 
# cd dmcache-utils/
# git archive --format=tar --prefix=dmcache-utils-20130822/ 454f986b4ca323981e819c67673eda89fbef106 | gzip > ../dmcache-utils-20130822.tar.bz
Source0: dmcache-utils-%{gitdate}.tar.bz
Source1: dmcache-util-man.tgz
BuildRequires: systemd

%description
This package provides a few simple scripts to simplify the usage of
dm-cache devices.
dm-cache is a device mapper target that aims to improve performance
of a block device (e.g., a spindle) by dynamically migrating some of
its data to a faster, smaller device (e.g., an SSD).

%prep
%setup -q -n dmcache-utils-%{gitdate}
tar xzf %{SOURCE1}

%build

%install
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_sysconfdir} %{buildroot}%{_mandir}/man8
install -p  -m 755 dmc-load     %{buildroot}%{_sbindir}/dmc-load
install -p  -m 755 dmc-mklvm    %{buildroot}%{_sbindir}/dmc-mklvm
install -Dp -m 644 86-dmc.rules %{buildroot}%{_udevrulesdir}/86-dmc.rules
install -p  -m 644 dmctab       %{buildroot}%{_sysconfdir}/dmctab
install -p  -m 644 dmc-load.8   %{buildroot}%{_mandir}/man8/dmc-load.8
install -p  -m 644 dmc-mklvm.8  %{buildroot}%{_mandir}/man8/dmc-mklvm.8

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_udevrulesdir}/*
%{_mandir}/man8/*
%{_sbindir}/dmc-load
%{_sbindir}/dmc-mklvm
%config(noreplace) %{_sysconfdir}/dmctab

%changelog
* Thu Aug 22 2013 Rolf Fokkens <rolf@rolffokkens.nl> - 0-0.1.20130822git
- Initial build
